# hash_policy.hpp File Reference

## Detailed Description

Contains hash-related policies.

Definition in file hash_policy.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds

## Classes

- class pb_ds::cc_hash_max_collision_check_resize_trigger< External_Load_Access, Size_Type >
- class pb_ds::direct_mask_range_hashing< Size_Type >
- class pb_ds::direct_mod_range_hashing< Size_Type >
- class pb_ds::hash_exponential_size_policy< Size_Type >
- class pb_ds::hash_load_check_resize_trigger< External_Load_Access, Size_Type >
- class pb_ds::hash_prime_size_policy
- class pb_ds::hash_standard_resize_policy< Size_Policy, Trigger_Policy, External_Size_Access, Size_Type >
- class pb_ds::linear_probe_fn< Size_Type >
- struct pb_ds::null_hash_fn
- struct pb_ds::null_probe_fn
- class pb_ds::quadratic_probe_fn< Size_Type >

## Defines

- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_T_DEC
- #define PB_DS_SIZE_BASE_C_DEC